DLS::Articulation Class Reference

Provides access to the defined connections used for the synthesis model. More...

`#include <DLS.h>`

Inheritance diagram for DLS::Articulation:

## Public Member Functions

| Articulation (RIFF::Chunk *artl)
| Constructor.
virtual void | UpdateChunks (progress_t *pProgress)
| Apply articulation connections to the respective RIFF chunks.
virtual void | DeleteChunks ()
| Remove all RIFF chunks associated with this Articulation object.

## Public Attributes

Connection * | pConnections
| Points to the beginning of a Connection array.
uint32_t | Connections
| Reflects the number of Connections.

## Protected Attributes

RIFF::Chunk * | pArticulationCk
uint32_t | HeaderSize

## Detailed Description

Provides access to the defined connections used for the synthesis model.

Definition at line 328 of file DLS.h.

## Constructor & Destructor Documentation

## Articulation()

DLS::Articulation::Articulation | ( | RIFF::Chunk * | artl | ) |

Constructor.

Expects an 'artl' or 'art2' chunk to be given where the articulation connections will be read from.

Parameters

  artl | - pointer to an 'artl' or 'art2' chunk

Exceptions

  Exception | if no 'artl' or 'art2' chunk was given

Definition at line 119 of file DLS.cpp.

References Connections, RIFF::Chunk::GetChunkID(), pConnections, RIFF::Chunk::Read(), RIFF::Chunk::ReadUint32(), and RIFF::Chunk::SetPos().

## ~Articulation()

DLS::Articulation::~Articulation | ( |  | ) |

virtual

Definition at line 144 of file DLS.cpp.

## Member Function Documentation

## DeleteChunks()

void DLS::Articulation::DeleteChunks | ( |  | ) |

virtual

Remove all RIFF chunks associated with this Articulation object.

At the moment Articulation::DeleteChunks() does nothing. It is recommended to call this method explicitly though from deriving classes's own overridden implementation of this method to avoid potential future compatibility issues.

See Storage::DeleteChunks() for details.

Implements DLS::Storage.

Definition at line 179 of file DLS.cpp.

## UpdateChunks()

void DLS::Articulation::UpdateChunks | ( | progress_t * | pProgress | ) |

virtual

Apply articulation connections to the respective RIFF chunks.

You have to call File::Save() to make changes persistent.

Parameters

  pProgress | - callback function for progress notification

Implements DLS::Storage.

Definition at line 154 of file DLS.cpp.

References Connections, and pConnections.

## Member Data Documentation

## Connections

uint32_t DLS::Articulation::Connections

Reflects the number of Connections.

Definition at line 331 of file DLS.h.

Referenced by Articulation(), and UpdateChunks().

## HeaderSize

uint32_t DLS::Articulation::HeaderSize

protected

Definition at line 339 of file DLS.h.

## pArticulationCk

RIFF::Chunk* DLS::Articulation::pArticulationCk

protected

Definition at line 338 of file DLS.h.

## pConnections

Connection* DLS::Articulation::pConnections

Points to the beginning of a Connection array.

Definition at line 330 of file DLS.h.

Referenced by Articulation(), and UpdateChunks().

The documentation for this class was generated from the following files:

- DLS.h
- DLS.cpp